Catalog.h File Reference
`#include <boost/graph/graph_traits.hpp>`
`#include <boost/graph/adjacency_list.hpp>`
`#include <boost/version.hpp>`
`#include <boost/property_map.hpp>`
`#include <RDGeneral/types.h>`
`#include <RDGeneral/StreamOps.h>`

Go to the source code of this file.

## Classes

class | RDCatalog::Catalog< entryType, paramType >
| abstract base class for a catalog object More...
class | RDCatalog::HierarchCatalog< entryType, paramType, orderType >
| A Catalog with a hierarchical structure. More...
struct | RDCatalog::HierarchCatalog< entryType, paramType, orderType >::vertex_entry_t
| used by the BGL to set up the node properties in our graph More...
class | RDCatalog::LinearCatalog< entryType, orderType >
| a linear Catalog (analogous to an std::vector) More...

## Namespaces

| RDCatalog

## Variables

const int | RDCatalog::versionMajor =1
const int | RDCatalog::versionMinor =0
const int | RDCatalog::versionPatch =0
const int | RDCatalog::endianId =0xDEADBEEF